bulma 0.8.0+4

  • Readme
  • Changelog
  • Example
  • Installing
  • 77

bulma #

Bulma is a modern SCSS framework based on Flexbox.

Example #

You can find basic example usage in the github repo's example folder.

Usage #

Add Sass and Builder runner to the project pubspec.yaml:

dev_dependencies:
  sass_builder: ^2.1.3
  build_runner: ^1.0.1

Create a SCSS file and import bulma and edit any variable you need:

// 1. Import the initial variables
@import "package:bulma/scss/utilities/initial-variables";
@import "package:bulma/scss/utilities/functions";

// 2. Set your own initial variables
// Update blue
$blue: #72d0eb;
// Add pink and its invert
$pink: #ffb3b3;
$pink-invert: #fff;
// Add a serif family
$family-serif: "Merriweather", "Georgia", serif;

// 3. Set the derived variables
// Use the new pink as the primary color
$primary: $pink;
$primary-invert: $pink-invert;
// Use the existing orange as the danger color
$danger: $orange;
// Use the new serif family
$family-primary: $family-serif;

// 4. Setup your Custom Colors
$linkedin: #0077b5;
$linkedin-invert: findColorInvert($linkedin);
$twitter: #55acee;
$twitter-invert: findColorInvert($twitter);
$github: #333;
$github-invert: findColorInvert($github);

// 5. Add new color variables to the color map.
@import "package:bulma/scss/utilities/derived-variables";
$addColors: (
  "twitter":($twitter, $twitter-invert),
  "linkedin": ($linkedin, $linkedin-invert),
  "github": ($github, $github-invert)
);
$colors: map-merge($colors, $addColors);

// 6. Import the rest of Bulma
@import "package:bulma/scss/bulma";

Alternatively If you want to customize which bulma parts are included to minimize the end size of your css, you can use the below and simply uncomment the parts you want to include.

// Utilities
@import "package:bulma/scss/utilities/initial-variables";
@import "package:bulma/scss/utilities/functions";
@import "package:bulma/scss/utilities/derived-variables";
@import "package:bulma/scss/utilities/animations";
@import "package:bulma/scss/utilities/mixins";
@import "package:bulma/scss/utilities/controls";
// Custom Variables

// Base
@import "package:bulma/scss/base/minireset";
@import "package:bulma/scss/base/generic";
@import "package:bulma/scss/base/helpers";
// Elements
// @import "package:bulma/scss/elements/box";
// @import "package:bulma/scss/elements/button";
// @import "package:bulma/scss/elements/container";
// @import "package:bulma/scss/elements/content";
// @import "package:bulma/scss/elements/form";
// @import "package:bulma/scss/elements/icon";
// @import "package:bulma/scss/elements/image";
// @import "package:bulma/scss/elements/notification";
// @import "package:bulma/scss/elements/progress";
// @import "package:bulma/scss/elements/table";
// @import "package:bulma/scss/elements/tag";
// @import "package:bulma/scss/elements/title";
// @import "package:bulma/scss/elements/other";
// Components
// @import "package:bulma/scss/components/breadcrumb";
// @import "package:bulma/scss/components/card";
// @import "package:bulma/scss/components/dropdown";
// @import "package:bulma/scss/components/level";
// @import "package:bulma/scss/components/media";
// @import "package:bulma/scss/components/menu";
// @import "package:bulma/scss/components/message";
// @import "package:bulma/scss/components/modal";
// @import "package:bulma/scss/components/navbar";
// @import "package:bulma/scss/components/pagination";
// @import "package:bulma/scss/components/panel";
// @import "package:bulma/scss/components/tabs";
// Grid
@import "package:bulma/scss/grid/columns";
// @import "package:bulma/scss/grid/tiles";
// Layout
// @import "package:bulma/scss/layout/hero";
// @import "package:bulma/scss/layout/section";
// @import "package:bulma/scss/layout/footer";

// Custom SCSS

Documentation #

Documentation for the Bulma framework can be found here Bulma Documentation

Bugs and Features #

Report problems with this package to https://github.com/ibexio/dart-bulma

Report problems with the core framework to https://github.com/jgthms/bulma

Dart package is released under the MIT license.

Changelog #

0.8.0+4 #

  • Added dart doc comments to bulma library
  • Updated example with latest version

0.8.0+3 #

  • Fixed 'No valid SDK' error

0.8.0+2 #

  • Fixed bulma dependency in example

0.8.0+1 #

  • A longer description for pub.dev scores

0.8.0 #

0.7.5 #

  • Update dart bulma_sass to bulma 0.7.5
  • Upgrade tools to use latest packages

0.7.1+1 #

  • Update Pubspec to enable use on Dart 2

0.7.1 #

  • Update dart bulma_sass to bulma 0.7.1

0.7.0 #

  • Update dart bulma_sass to bulma 0.7.0

0.6.2+1 #

  • Update .gitignore to exclude unwanted files

0.6.2 #

  • Initial version, based on Bulma 0.6.2

example/README.md

An absolute bare-bones web app.

Created from templates made available by Stagehand under a BSD-style license.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  bulma: ^0.8.0+4

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:bulma/bulma.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
53
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
77
Learn more about scoring.

We analyzed this package on Apr 7, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.7

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.4.0 <3.0.0
Dev dependencies
build_runner ^1.7.2
git ^1.0.1
pub_semver ^1.4.2
sass_builder ^2.1.3